"""==============================================================
با فرض اینکه عناصر آرایه ۶۰ عنصری P که به صورت عدد می باشند، قبلاً
ذخیره شده است و صورت نزولی نگهداری می شوند. منطق برنامه ای را
طراحی کنید که ۲۰ عدد دیگر را در ورودی دریافت کند و به گونه ای
آنها را در آرایه قرار دهد که ترتیب عناصر آرایه به صورت نزولی باقی
بماند
=============================================================="""

A = [53,48,23,13,5,1]
for i in range(1,5):
    print("Please enter number",i)
    number = int(input("==>"))
    index = len(A)
    for i in range(len(A)-1,-1,-1):
        if number > A[i]:
            index = i
    A.insert(index,number)
print(A)

